"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var atob = require("atob");
var lodash_1 = require("lodash");
var xor = function (conditionA, conditionB) {
    return (conditionA && !conditionB) || (!conditionA && conditionB);
};
exports.default = function (pagination, sort) {
    if (pagination.cursor === undefined) {
        return {};
    }
    var cursorObj = JSON.parse(atob(pagination.cursor));
    var filter = lodash_1.mapValues(cursorObj, function (cursorValue, sortKey) {
        var forward = !xor(lodash_1.get(sort, sortKey), pagination.forward);
        if (forward) {
            return { $gt: cursorValue };
        }
        else {
            return { $lt: cursorValue };
        }
    });
    return filter;
};
//# sourceMappingURL=createPaginationFilter.js.map